glibmm 2.41.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

New API in glibmm 2.32

Class Gio::Action
Member Gio::ActionGroup::query_action (const Glib::ustring& action_name, bool& enabled, Glib::VariantType& parameter_type, Glib::VariantBase& state_hint, Glib::VariantType& state_type, Glib::VariantBase& state)
  Parameters

    action_name | The name of an action in the group.
    enabled | If the action is presently enabled.
    parameter_type | The parameter type, or `0` if none needed.
    state_type | The state type, or `0` if stateless.
    state_hint | The state hint, or `0` if none.
    state | The current state, or `0` if stateless.

  Returns
    `true` if the action exists, else `false`.
Class Gio::ActionMap
Member Gio::ActionMap::add_action (const Glib::RefPtr< Action >& action)
  Parameters

    action | A Action.

Member Gio::ActionMap::lookup_action (const Glib::ustring& action_name)
  Parameters

    action_name | The name of an action.

  Returns
    A Action, or `0`.
Member Gio::ActionMap::lookup_action (const Glib::ustring& action_name) const
  Parameters

    action_name | The name of an action.

  Returns
    A Action, or `0`.
Member Gio::ActionMap::remove_action (const Glib::ustring& action_name)
  Parameters

    action_name | The name of the action.

Member Gio::AppLaunchContext::get_environment () const
  Returns
    The child's environment.
Member Gio::AppLaunchContext::setenv (const Glib::ustring& variable, const Glib::ustring& value)
  Parameters

    variable | The environment variable to set.
    value | The value for to set the variable to.

Member Gio::AppLaunchContext::unsetenv (const Glib::ustring& variable)
  Parameters

    variable | The environment variable to remove.

Class Gio::Application
Member Gio::Application::get_default ()
Member Gio::Application::quit ()
Member Gio::Application::set_default (const Glib::RefPtr< Application >& application)
Class Gio::ApplicationCommandLine
Class Gio::DBus::ActionGroup
Member Gio::DBus::ActionGroup::get (const Glib::RefPtr< Connection >& connection, const Glib::ustring& bus_name, const Glib::ustring& object_path)
  Parameters

    connection | A DBusConnection.
    bus_name | The bus name which exports the action group.
    object_path | The object path at which the action group is exported.

  Returns
    A DBusActionGroup.
Member Gio::DBus::Connection::export_action_group (const Glib::ustring& object_path, const Glib::RefPtr< ActionGroup >& action_group)
  Parameters

    object_path | A D-Bus object path.
    action_group | A ActionGroup.

  Returns
    The ID of the export (never zero), or 0 in case of failure.
Member Gio::DBus::Connection::export_menu_model (const Glib::ustring& object_path, const Glib::RefPtr< MenuModel >& menu)
  Parameters

    object_path | A D-Bus object path.
    menu | A MenuModel.

  Returns
    The ID of the export (never zero), or 0 in case of failure.
Member Gio::DBus::Connection::unexport_action_group (guint export_id)
  Parameters

    export_id | The ID from g_dbus_connection_export_action_group().

Member Gio::DBus::Connection::unexport_menu_model (guint export_id)
  Parameters

    export_id | The ID from g_dbus_connection_export_menu_model().

Member Gio::DBus::Interface::dup_object ()
  Returns
    A DBusObject or `0`. The returned reference should be freed with Glib::object_unref().
Member Gio::DBus::Interface::dup_object () const
  Returns
    A DBusObject or `0`. The returned reference should be freed with Glib::object_unref().
Member Gio::DBus::InterfaceSkeleton::get_connections ()
  Returns
    A list of all the connections that interface is exported on. The returned list should be freed with Glib::list_free() after each element has been freed with Glib::object_unref().
Member Gio::DBus::InterfaceSkeleton::get_connections () const
  Returns
    A list of all the connections that interface is exported on. The returned list should be freed with Glib::list_free() after each element has been freed with Glib::object_unref().
Member Gio::DBus::InterfaceSkeleton::has_connection (const Glib::RefPtr< const Connection >& connection) const
  Parameters

    connection | A DBusConnection.

  Returns
    `true` if interface is exported on connection, `false` otherwise.
Member Gio::DBus::InterfaceSkeleton::unexport_from_connection (const Glib::RefPtr< Connection >& connection)
  Parameters

    connection | A DBusConnection.

Class Gio::DBus::MenuModel
Member Gio::DBus::MenuModel::get (const Glib::RefPtr< Connection >& connection, const Glib::ustring& bus_name, const Glib::ustring& object_path)
  Parameters

    connection | A DBusConnection.
    bus_name | The bus name which exports the menu model.
    object_path | The object path at which the menu model is exported.

  Returns
    A DBusMenuModel object. Free with Glib::object_unref().
Member Gio::DesktopAppInfo::get_keywords () const
Member Gio::Drive::get_sort_key () const
  Returns
    Sorting key for drive or `0` if no such key is available.
Member Gio::FileAttributeMatcher::to_string () const
  Returns
    A string describing the attributes the matcher matches against or `0` if matcher was `0`.
Member Gio::InetSocketAddress::get_flowinfo () const
  Returns
    The flowinfo field.
Member Gio::InetSocketAddress::get_scope_id () const
  Returns
    The scope id field.
Class Gio::Menu
Member Gio::Menu::append (const Glib::ustring& label, const Glib::ustring& detailed_action=Glib::ustring())
  Parameters

    label | The section label, or `0`.
    detailed_action | The detailed action string, or `0`.

Member Gio::Menu::append_item (const Glib::RefPtr< MenuItem >& item)
  Parameters

    item | A MenuItem to append.

Member Gio::Menu::append_section (const Glib::ustring& label, const Glib::RefPtr< MenuModel >& section)
  Parameters

    label | The section label, or `0`.
    section | A MenuModel with the items of the section.

Member Gio::Menu::append_submenu (const Glib::ustring& label, const Glib::RefPtr< MenuModel >& submenu)
  Parameters

    label | The section label, or `0`.
    submenu | A MenuModel with the items of the submenu.

Member Gio::Menu::freeze ()
Member Gio::Menu::insert (int position, const Glib::ustring& label, const Glib::ustring& detailed_action=Glib::ustring())
  Parameters

    position | The position at which to insert the item.
    label | The section label, or `0`.
    detailed_action | The detailed action string, or `0`.

Member Gio::Menu::insert_item (int position, const Glib::RefPtr< MenuItem >& item)
  Parameters

    position | The position at which to insert the item.
    item | The MenuItem to insert.

Member Gio::Menu::insert_section (int position, const Glib::ustring& label, const Glib::RefPtr< MenuModel >& section)
  Parameters

    position | The position at which to insert the item.
    label | The section label, or `0`.
    section | A MenuModel with the items of the section.

Member Gio::Menu::insert_submenu (int position, const Glib::ustring& label, const Glib::RefPtr< MenuModel >& submenu)
  Parameters

    position | The position at which to insert the item.
    label | The section label, or `0`.
    submenu | A MenuModel with the items of the submenu.

Member Gio::Menu::prepend (const Glib::ustring& label, const Glib::ustring& detailed_action=Glib::ustring())
  Parameters

    label | The section label, or `0`.
    detailed_action | The detailed action string, or `0`.

Member Gio::Menu::prepend_item (const Glib::RefPtr< MenuItem >& item)
  Parameters

    item | A MenuItem to prepend.

Member Gio::Menu::prepend_section (const Glib::ustring& label, const Glib::RefPtr< MenuModel >& section)
  Parameters

    label | The section label, or `0`.
    section | A MenuModel with the items of the section.

Member Gio::Menu::prepend_submenu (const Glib::ustring& label, const Glib::RefPtr< MenuModel >& submenu)
  Parameters

    label | The section label, or `0`.
    submenu | A MenuModel with the items of the submenu.

Member Gio::Menu::remove (int position)
  Parameters

    position | The position of the item to remove.

Class Gio::MenuAttributeIter
Member Gio::MenuAttributeIter::get_name () const
  Returns
    The name of the attribute.
Member Gio::MenuAttributeIter::get_next (Glib::ustring& out_name, Glib::VariantBase& value)
  Parameters

    out_name | The type of the attribute.
    value | The attribute value.

  Returns
    `true` on success, or `false` if there is no additional attribute.
Member Gio::MenuAttributeIter::get_value ()
  Returns
    The value of the current attribute.
Member Gio::MenuAttributeIter::get_value () const
  Returns
    The value of the current attribute.
Member Gio::MenuAttributeIter::next ()
  Returns
    `true` on success, or `false` when there are no more attributes.
Class Gio::MenuItem
Member Gio::MenuItem::set_action_and_target (const Glib::ustring& action, const Glib::VariantBase& target_value)
  Parameters

    action | The name of the action for this item.
    target_value | A Variant to use as the action target.

Member Gio::MenuItem::set_attribute (const Glib::ustring& attribute, const Glib::VariantBase& value)
Member Gio::MenuItem::set_attribute_value (const Glib::ustring& attribute, const Glib::VariantBase& value)
  Parameters

    attribute | The attribute to set.
    value | A Variant to use as the value, or `0`.

Member Gio::MenuItem::set_detailed_action (const Glib::ustring& detailed_action)
  Parameters

    detailed_action | The "detailed" action string.

Member Gio::MenuItem::set_label (const Glib::ustring& label)
  Parameters

    label | The label to set, or `0` to unset.

Member Gio::MenuItem::set_link (const Glib::ustring& link, const Glib::RefPtr< MenuModel >& model)
  Parameters

    link | Type of link to establish or unset.
    model | The MenuModel to link to (or `0` to unset).

Member Gio::MenuItem::set_section (const Glib::RefPtr< MenuModel >& section)
  Parameters

    section | A MenuModel, or `0`.

Member Gio::MenuItem::set_submenu (const Glib::RefPtr< MenuModel >& submenu)
  Parameters

    submenu | A MenuModel, or `0`.

Class Gio::MenuLinkIter
Member Gio::MenuLinkIter::get_name () const
  Returns
    The type of the link.
Member Gio::MenuLinkIter::get_next (Glib::ustring& out_link, Glib::RefPtr< MenuModel >& value)
  Parameters

    out_link | The name of the link.
    value | The linked MenuModel.

  Returns
    `true` on success, or `false` if there is no additional link.
Member Gio::MenuLinkIter::get_value ()
  Returns
    The MenuModel that is linked to.
Member Gio::MenuLinkIter::get_value () const
  Returns
    The MenuModel that is linked to.
Member Gio::MenuLinkIter::next ()
  Returns
    `true` on success, or `false` when there are no more links.
Class Gio::MenuModel
Member Gio::MenuModel::get_item_attribute (int item_index, MenuAttribute attribute, const Glib::VariantType& expected_type)
  Parameters

    item_index | The index of the item.
    attribute | The attribute to query.
    expected_type | The expected type of the attribute, or `0`.

  Returns
    The value of the attribute.
Member Gio::MenuModel::get_item_attribute (int item_index, MenuAttribute attribute, const Glib::VariantType& expected_type) const
  Parameters

    item_index | The index of the item.
    attribute | The attribute to query.
    expected_type | The expected type of the attribute, or `0`.

  Returns
    The value of the attribute.
Member Gio::MenuModel::get_item_link (int item_index, MenuLink link)
  Parameters

    item_index | The index of the item.
    link | The link to query.

  Returns
    The linked MenuModel, or `0`.
Member Gio::MenuModel::get_item_link (int item_index, MenuLink link) const
  Parameters

    item_index | The index of the item.
    link | The link to query.

  Returns
    The linked MenuModel, or `0`.
Member Gio::MenuModel::get_n_items () const
  Returns
    The number of items.
Member Gio::MenuModel::is_mutable () const
  Returns
    `true` if the model is mutable (ie: "items-changed" may be emitted).
Member Gio::MenuModel::items_changed (int position, int removed, int added)
  Parameters

    position | The position of the change.
    removed | The number of items removed.
    added | The number of items added.

Member Gio::MenuModel::iterate_item_attributes (int item_index)
  Parameters

    item_index | The index of the item.

  Returns
    A new MenuAttributeIter.
Member Gio::MenuModel::iterate_item_attributes (int item_index) const
  Parameters

    item_index | The index of the item.

  Returns
    A new MenuAttributeIter.
Member Gio::MenuModel::iterate_item_links (int item_index)
  Parameters

    item_index | The index of the item.

  Returns
    A new MenuLinkIter.
Member Gio::MenuModel::iterate_item_links (int item_index) const
  Parameters

    item_index | The index of the item.

  Returns
    A new MenuLinkIter.
Member Gio::Mount::get_sort_key () const
  Returns
    Sorting key for mount or `0` if no such key is available.
Class Gio::RemoteActionGroup
Member Gio::RemoteActionGroup::activate_action (const Glib::ustring& action_name, const Glib::VariantBase& parameter, const Glib::VariantBase& platform_data)
  Parameters

    action_name | The name of the action to activate.
    parameter | The optional parameter to the activation.
    platform_data | The platform data to send.

Member Gio::RemoteActionGroup::change_action_state (const Glib::ustring& action_name, const Glib::VariantBase& value, const Glib::VariantBase& platform_data)
  Parameters

    action_name | The name of the action to change the state of.
    value | The new requested value for the state.
    platform_data | The platform data to send.

Member Gio::Settings::create_action (const Glib::ustring& key)
Class Gio::SimpleAction
Class Gio::SimpleActionGroup
Member Gio::Socket::condition_timed_wait (Glib::IOCondition condition, gint64 timeout, const Glib::RefPtr< Cancellable >& cancellable)
  Parameters

    condition | A IOCondition mask to wait for.
    timeout | The maximum time (in microseconds) to wait, or -1.
    cancellable | A Cancellable, or `0`.

  Returns
    `true` if the condition was met, `false` otherwise.
Member Gio::Socket::get_available_bytes () const
  Returns
    The number of bytes that can be read from the socket without blocking or truncating, or -1 on error.
Member Gio::Socket::get_broadcast () const
  Returns
    The broadcast setting on socket.
Member Gio::Socket::get_multicast_loopback () const
  Returns
    The multicast loopback setting on socket.
Member Gio::Socket::get_multicast_ttl () const
  Returns
    The multicast time-to-live setting on socket.
Member Gio::Socket::get_ttl () const
  Returns
    The time-to-live setting on socket.
Member Gio::Socket::join_multicast_group (const Glib::RefPtr< InetAddress >& group, bool source_specific, const std::string& iface)
  Parameters

    group | A InetAddress specifying the group address to join.
    iface | Name of the interface to use, or `0`.
    source_specific | `true` if source-specific multicast should be used.

  Returns
    `true` on success, `false` on error.
Member Gio::Socket::leave_multicast_group (const Glib::RefPtr< InetAddress >& group, bool source_specific, const std::string& iface)
  Parameters

    group | A InetAddress specifying the group address to leave.
    iface | Interface used.
    source_specific | `true` if source-specific multicast was used.

  Returns
    `true` on success, `false` on error.
Member Gio::Socket::set_broadcast (bool broadcast)
  Parameters

    broadcast | Whether socket should allow sending to broadcast addresses.

Member Gio::Socket::set_multicast_loopback (bool loopback)
  Parameters

    loopback | Whether socket should receive messages sent to its multicast groups from the local host.

Member Gio::Socket::set_multicast_ttl (guint ttl)
  Parameters

    ttl | The time-to-live value for all multicast datagrams on socket.

Member Gio::Socket::set_ttl (guint ttl)
  Parameters

    ttl | The time-to-live value for all unicast packets on socket.

Member Gio::SocketClient::signal_event ()
  Parameters

    event | The event that is occurring.
    connectable | The SocketConnectable that event is occurring on.
    connection | The current representation of the connection.

Member Gio::SocketConnection::connect (const Glib::RefPtr< SocketAddress >& address, const Glib::RefPtr< Cancellable >& cancellable)
  Parameters

    address | A SocketAddress specifying the remote address.
    cancellable | A Cancellable or `0`.

  Returns
    `true` if the connection succeeded, `false` on error.
Member Gio::SocketConnection::connect_finish (const Glib::RefPtr< AsyncResult >& result)
  Parameters

    result | The AsyncResult.

  Returns
    `true` if the connection succeeded, `false` on error.
Member Gio::SocketConnection::is_connected () const
  Returns
    Whether connection is connected.
Member Gio::UnixConnection::receive_credentials_finish (const Glib::RefPtr< AsyncResult >& result)
  Parameters

    result | A AsyncResult.

  Returns
    A Credentials, or `0` on error. Free the returned object with Glib::object_unref().
Member Gio::UnixConnection::send_credentials_finish (const Glib::RefPtr< AsyncResult >& result)
  Parameters

    result | A AsyncResult.

  Returns
    `true` if the operation was successful, otherwise `false`.
Member Gio::Volume::sort_key ()
  Returns
    Sorting key for volume or `0` if no such key is available.
Member Glib::Bytes::compare (gconstpointer bytes1, gconstpointer bytes2)
  Parameters

    bytes1 | A pointer to a Bytes.
    bytes2 | A pointer to a Bytes to compare with bytes1.

  Returns
    A negative value if bytes2 is lesser, a positive value if bytes2 is greater, and zero if bytes2 is equal to bytes1.
Member Glib::Bytes::equal (gconstpointer bytes1, gconstpointer bytes2)
  Parameters

    bytes1 | A pointer to a Bytes.
    bytes2 | A pointer to a Bytes to compare with bytes1.

  Returns
    `true` if the two keys match.
Member Glib::Bytes::get_data (gsize& size) const
  Parameters

    size | Location to return size of byte data.

  Returns
    A pointer to the byte data, or `0`.
Member Glib::Bytes::get_size () const
  Returns
    The size.
Member Glib::Bytes::hash (gconstpointer bytes)
  Parameters

    bytes | A pointer to a Bytes key.

  Returns
    A hash value corresponding to the key.
Member Glib::Threads::Private< T >::replace (T* data)
Member Glib::UNICODE_BREAK_CONDITIONAL_JAPANESE_STARTER
Member Glib::UNICODE_BREAK_HEBREW_LETTER